#!/bin/sh
# 1. Visit http://www.noaa.gov and enter City and State in Today's Weather.
# 2. Copy the URL below:
url="http://www.srh.noaa.gov/ifps/MapClick.php?CityName=College+Station&state=TX&site=HGX"

lynx -source $url | perl -e '
while(<>){
	if(m/Forecast at a glance/){
		$start++;
	}
	if(!$start){
		next;
	}
	if(m/<table /){
		$start++;
	}
	if($start == 2 && m#</table>#){
		exit;
	}
	if(m/^<b>/){
		printf "= ";
	}
	s/\r//g;
	s/<[^>]*>/ /g;
	s/ +/ /g;
	s/^ +//g;
	s/ +$//g;
	if(m/^ *$/){
		next;
	}
	s/&deg;//g;
	print;
}'
